<?php
namespace Teknisa\SM\Factory;

use Doctrine\ORM\EntityManager;

class TagFactory {
    
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        
        $this->connection       = $entityManager->getConnection();
    }

    public function deleteTagsParcnegocio($params){

        $delete = "DELETE FROM CRM_TAGPARCNEGOCIO WHERE NRPARCNEGOCIO = :NRPARCNEGOCIO AND NRORG = :NRORG";
                 
        try{
            $std = $this->connection->prepare($delete);
            $std->execute($params);
            return true;
        }
        catch(\Exception $e){
            throw $e;
        };
    }
    
    public function deleteTagsTicket($params){

        $delete = "DELETE FROM CRM_TAGCONTATO WHERE NRSEQCONTATO = :NRSEQCONTATO AND NRORG = :NRORG";
                 
        try{
            $std = $this->connection->prepare($delete);
            $std->execute($params);
            return true;
        }
        catch(\Exception $e){
            throw $e;
        };
    }
    
    public function saveTagParcnegocio($params){

        $insert = "INSERT INTO CRM_TAGPARCNEGOCIO (IDNOMETAG, NRPARCNEGOCIO, NRORG) VALUES(:IDNOMETAG, :NRPARCNEGOCIO, :NRORG)";
                 
        try{
            $std = $this->connection->prepare($insert);
            $std->execute($params);
            return true;
        }
        catch(\Exception $e){
            throw $e;
        };
    }
    
    public function saveTagTicket($params){

        $insert = "INSERT INTO CRM_TAGCONTATO (IDNOMETAG, NRSEQCONTATO, NRORG) VALUES(:IDNOMETAG, :NRSEQCONTATO, :NRORG)";
                 
        try{
            $std = $this->connection->prepare($insert);
            $std->execute($params);
            return true;
        }
        catch(\Exception $e){
            throw $e;
        };
    }
    
}
    